Skip to main content
POST
/
auth
/
register
Register
curl --request POST \
  --url https://api.example.com/auth/register

Documentation Index

Fetch the complete documentation index at: https://docs.tattoo.dev/llms.txt

Use this file to discover all available pages before exploring further.

Request Body

{
  "email": "developer@example.com",
  "password": "SecurePassword123!",
  "name": "Developer Example",
  "phone": "+1-555-0100",
  "role": "Client",
  "studio_id": "uuid-optional",
  "date_of_birth": "1990-01-01"
}

Allowed Roles

  • Client
  • Artist
  • Studio Owner
  • Studio Manager

Response Shape

{
  "success": true,
  "message": "Registration successful",
  "user": {
    "id": "uuid",
    "email": "developer@example.com",
    "name": "Developer Example",
    "role": "Client"
  }
}
Registration does not return tokens. Call POST /auth/login after registration to obtain access_token and refresh_token.